Subject: Re: bug#17267: 24.3.50; 100% cpu usage of emacs when copy some lines to org buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Apr 2014 12:33:09 +0300

> Date: Wed, 16 Apr 2014 14:18:18 +0800
> From: Jingtao Xu <[email-masked]>
> Cc: [email-masked]
> 
> I create test files /tmp/test.el and /tmp/test.diff,see them in attach.
> 
> Then I start emacs with -q and create a empty file /tmp/test.org,and
> press M-x then invoke function "my-changes",it fails with error
> "line-move: Args out of range: 160, 160".
> But If I invoke this function in buffer test.el,it runs fine.
> 
> Of course it's not a bug of 100% cpu usage,but It also works fine in
> my old emacs whether I invoke this command in buffer test.org or not.
> 
> Hope this help you indicate the issue position.

Thanks.  Could you please try the patch I posted on the URL below?

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17281#20